japa.parser.ast.stmt

## Class AssertStmt

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.stmt.Statement
    - - japa.parser.ast.stmt.AssertStmt

    public final class AssertStmt
    extends Statement

### Constructor Summary

Constructors
Constructor and Description
`AssertStmt()`
`AssertStmt(Expression check)`
`AssertStmt(Expression check, Expression msg)`
`AssertStmt(int beginLine, int beginColumn, int endLine, int endColumn, Expression check, Expression msg)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`Expression` `getCheck()`
`Expression` `getMessage()`
`void` `setCheck(Expression check)`
`void` `setMessage(Expression msg)`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AssertStmt

    public AssertStmt()

#### AssertStmt

    public AssertStmt(Expression check)

#### AssertStmt

    public AssertStmt(Expression check,
              Expression msg)

#### AssertStmt

    public AssertStmt(int beginLine,
              int beginColumn,
              int endLine,
              int endColumn,
              Expression check,
              Expression msg)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getCheck

    public Expression getCheck()

#### getMessage

    public Expression getMessage()

#### setCheck

    public void setCheck(Expression check)

#### setMessage

    public void setMessage(Expression msg)